petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetRefinementFactor

Set the ratios that the DMDA grid is refined

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetRefinementFactor(DM da, PetscInt refine_x, PetscInt refine_y,PetscInt refine_z)

Logically Collective on DMDA Many br

### Input Parameters

| da | - the DMDA object Many br
| refine_x | - ratio of fine grid to coarse in x direction (2 by default) Many br
| refine_y | - ratio of fine grid to coarse in y direction (2 by default) Many br
| refine_z | - ratio of fine grid to coarse in z direction (2 by default) Many br

### Options Database

| -da_refine_x | - refinement ratio in x direction Many br
| -da_refine_y | - refinement ratio in y direction Many br
| -da_refine_z | - refinement ratio in z direction Many br

Many br

Notes: Pass PETSC_IGNORE to leave a value unchanged Many br

### See Also

DMRefine(), DMDAGetRefinementFactor()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages